using Exam.Infrastructure.Data.Interface;
using System.ComponentModel;

namespace Exam.Share.ViewResponses.Sourceware
{
    public class SourcewareCategoryViewResponse : IViewResponse
    {
        /// <summary>
        /// 名称
        /// </summary>
        [Description("名称")]
        public string Name { get; set; }

        /// <summary>
        /// 父级Id
        /// </summary>
        [Description("父级Id")]
        public string ParentId { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        [Description("状态")]
        public int Status { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [Description("排序")]
        public int SortIndex { get; set; }

        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }

        /// <summary>
        /// 子节点
        /// </summary>
        [Description("子节点")]
        public List<SourcewareCategoryViewResponse> Children { get; set; }

        /// <summary>
        /// 最近更新时间
        /// </summary>
        [Description("最近更新时间")]
        public DateTime? LastModificationTime { get; set; }
    }
}
